# Принять число от пользователя и определить является ли оно палиндромом
# Алгоритм:
# 1 Инициализируем временную переменную для введенного числа (число в ходе исполнения программы будет модифицироватся)
# 2 Инициализируем реверсивную переменную. В нее последовательно с конца введенного числа нужно добавлять разряды
# 3 Завести цикл и на каждой итерации "откусывать" последний разряд введенного числа и прибавлять к реверсивной перемен.
# 4 Цикл продолжается до тех пор, пока введенное число не станет равным 0
# 5 Если число == реверсивному числу - печатаем "Палиндром"
#
# Применяем следующие математические операции
# % 10 - деление по модулю. Делит левый операнд на правый и возвращает остаток. Позволяет взять цифру последнего разряда
# * 10 - умножение.         Позволяет добавить разряд к числу
# //10 - целочисленное дел. Деление в кот. возвращается только целая часть результата. Позвол отрез посл разряд от числа

num = int(input("Введите число: "))

revers_num = 0
temp = num

while temp > 0:
    revers_num = revers_num * 10 + temp % 10            # Умножая на 10 - мы "передвигаем курсор по единицам, десяткам,
#                                                         сотням и т.д. Прибавляем же цифру - последний разряд числа
    temp = temp // 10                                   # Удаление последнего разряда

if num == revers_num:
    print("Palindrome")
else:
    print("No palindrome")
